"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getOceanApi(fetch, systemInfo) {
    let headers = {
        "X-OC-KEY": systemInfo.key,
        "X-OC-SECRET": systemInfo.secret,
        'Content-Type': 'application/json'
    };
    return (request) => {
        return fetch('https://ocean.qianmi.com/api/rivers/rest/view', {
            method: 'POST',
            headers,
            body: JSON.stringify(request)
        });
    };
}
exports.getOceanApi = getOceanApi;
