import { IContext, IViewRequest } from './types';
/**
 * @desc
 *
 * @使用场景
 *
 * @company qianmi.com
 * @Date    2018/5/11
 **/
export default class OceanRequest {
    constructor(request: IViewRequest, context?: IContext);
    private request;
    private context;
    /**
     * 设置商品相关信息
     * @param {{skuId: string; spuId: string}} goodsInfo
     */
    setGoodsInfo(goodsInfo: {
        skuId: string;
        spuId: string;
    }): void;
    /**
     * 是否是自动触发的
     * @returns {boolean}
     */
    readonly isAuto: boolean;
    readonly url: string;
    readonly location: {
        hash: string;
        host: string;
        hostname: string;
        pathname: string;
        search: string;
    };
    toJSON(): IViewRequest;
}
