"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @desc
 *
 * @使用场景
 *
 * @company qianmi.com
 * @Date    2018/5/11
 **/
class OceanRequest {
    constructor(request, context) {
        this.request = request;
        this.context = context;
    }
    /**
     * 设置商品相关信息
     * @param {{skuId: string; spuId: string}} goodsInfo
     */
    setGoodsInfo(goodsInfo) {
        this.request.attrs = goodsInfo;
    }
    /**
     * 是否是自动触发的
     * @returns {boolean}
     */
    get isAuto() {
        return this.context.auto;
    }
    get url() {
        return this.request.url;
    }
    get location() {
        return this.context.location;
    }
    toJSON() {
        return this.request;
    }
}
exports.default = OceanRequest;
